From 2cb8c65600a1c8cd1b3ea1386b5f1359390f1ccd Mon Sep 17 00:00:00 2001
From: Sven Gothel <sgothel@jausoft.com>
Date: Wed, 21 Apr 2010 18:16:24 +0200
Subject: Add deployment scripts ..

---
 make/scripts/all-deploy-webstarttest.sh | 38 +++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100755 make/scripts/all-deploy-webstarttest.sh

(limited to 'make/scripts/all-deploy-webstarttest.sh')

diff --git a/make/scripts/all-deploy-webstarttest.sh b/make/scripts/all-deploy-webstarttest.sh
new file mode 100755
index 000000000..0904ac233
--- /dev/null
+++ b/make/scripts/all-deploy-webstarttest.sh
@@ -0,0 +1,38 @@
+#! /bin/sh
+
+if [ ! -e scripts -o ! -e ../make ] ; then
+    echo start this script from JOGL/jogl/make
+	exit 1
+fi
+
+url=$1
+shift
+
+joglbuilddir=$1
+shift 
+
+wsdir=$1
+shift 
+
+if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+    echo Usage $0 codebase-url jogl-builddir webstartdir
+    echo Examples
+    echo    sh scripts/all-deploy-webstarttest.sh file:////usr/local/projects/JOGL/webstart ../build-x86_64 ../../webstart
+    echo    sh scripts/all-deploy-webstarttest.sh http://domain.org/jogl/webstart ../build-win32 ../../webstart
+    exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+    echo $joglbuilddir does not exist
+    exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+    echo $wsdir does not exist
+    exit 1
+fi
+
+sh scripts/deploy-jars-webstarttest.sh $joglbuilddir $wsdir
+# sh scripts/deploy-jars-webstarttest_pack200.sh $wsdir
+sh scripts/deploy-jnlp-webstarttest.sh $url $joglbuilddir $wsdir
+sh scripts/deploy-jnlp-webstarttest-filter.sh $wsdir
-- 
cgit v1.2.3


From 11ddcfe64ab2ef99f51bdd44e598703995662ae2 Mon Sep 17 00:00:00 2001
From: Sven Gothel <sgothel@jausoft.com>
Date: Thu, 22 Apr 2010 00:41:38 +0200
Subject: JNLP: Update Check Background - Always

---
 jnlp-files/jogl-all-awt.jnlp             | 1 +
 jnlp-files/jogl-all-noawt.jnlp           | 1 +
 jnlp-files/jogl-awt.jnlp                 | 1 +
 jnlp-files/jogl-core.jnlp                | 1 +
 jnlp-files/jogl-gl2es12.jnlp             | 1 +
 jnlp-files/nativewindow-all-awt.jnlp     | 1 +
 jnlp-files/nativewindow-awt.jnlp         | 1 +
 jnlp-files/nativewindow.jnlp             | 1 +
 jnlp-files/newt-all-awt.jnlp             | 1 +
 jnlp-files/newt-all-noawt.jnlp           | 1 +
 jnlp-files/newt-awt.jnlp                 | 1 +
 jnlp-files/newt-jogl.jnlp                | 1 +
 jnlp-files/newt.jnlp                     | 1 +
 make/scripts/all-deploy-webstarttest.sh  | 4 ++--
 make/scripts/deploy-jnlp-webstarttest.sh | 3 +++
 15 files changed, 18 insertions(+), 2 deletions(-)

(limited to 'make/scripts/all-deploy-webstarttest.sh')

diff --git a/jnlp-files/jogl-all-awt.jnlp b/jnlp-files/jogl-all-awt.jnlp
index 125980882..718d09da7 100644
--- a/jnlp-files/jogl-all-awt.jnlp
+++ b/jnlp-files/jogl-all-awt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java programming language binding for the OpenGL 3D graphics API - ALL.AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/jogl-all-noawt.jnlp b/jnlp-files/jogl-all-noawt.jnlp
index 7159ba8e7..3e4536dc5 100644
--- a/jnlp-files/jogl-all-noawt.jnlp
+++ b/jnlp-files/jogl-all-noawt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java programming language binding for the OpenGL 3D graphics API - ALL.NO_AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/jogl-awt.jnlp b/jnlp-files/jogl-awt.jnlp
index 03c61b37a..3e823ce50 100644
--- a/jnlp-files/jogl-awt.jnlp
+++ b/jnlp-files/jogl-awt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java programming language binding for the OpenGL 3D graphics API - AWT.</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/jogl-core.jnlp b/jnlp-files/jogl-core.jnlp
index c1dbcfc1d..05ea506e4 100644
--- a/jnlp-files/jogl-core.jnlp
+++ b/jnlp-files/jogl-core.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java programming language binding for the OpenGL 3D graphics API - CORE.</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/jogl-gl2es12.jnlp b/jnlp-files/jogl-gl2es12.jnlp
index 25402adcb..4a2c8502d 100644
--- a/jnlp-files/jogl-gl2es12.jnlp
+++ b/jnlp-files/jogl-gl2es12.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java programming language binding for the OpenGL 3D graphics API - GL2ES12.</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/nativewindow-all-awt.jnlp b/jnlp-files/nativewindow-all-awt.jnlp
index f22166ecb..34edf4a1f 100644
--- a/jnlp-files/nativewindow-all-awt.jnlp
+++ b/jnlp-files/nativewindow-all-awt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java API for a binding to a native windowing system - 2.0 - ALL.AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/nativewindow-awt.jnlp b/jnlp-files/nativewindow-awt.jnlp
index aa07c3a24..1cc1a62be 100644
--- a/jnlp-files/nativewindow-awt.jnlp
+++ b/jnlp-files/nativewindow-awt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java API for a binding to a native windowing system - 2.0 - AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/nativewindow.jnlp b/jnlp-files/nativewindow.jnlp
index 60a07aede..b8ed6f36f 100644
--- a/jnlp-files/nativewindow.jnlp
+++ b/jnlp-files/nativewindow.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">Java API for a binding to a native windowing system - 2.0 - CORE</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/newt-all-awt.jnlp b/jnlp-files/newt-all-awt.jnlp
index 7378e8ca2..24183b9e2 100644
--- a/jnlp-files/newt-all-awt.jnlp
+++ b/jnlp-files/newt-all-awt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">NEWT - A NativeWindow Interface implementation - ALL.AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/newt-all-noawt.jnlp b/jnlp-files/newt-all-noawt.jnlp
index 752d96add..36f437296 100644
--- a/jnlp-files/newt-all-noawt.jnlp
+++ b/jnlp-files/newt-all-noawt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">NEWT - A NativeWindow Interface implementation - ALL.NO_AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/newt-awt.jnlp b/jnlp-files/newt-awt.jnlp
index 28bb8e706..f4cd0799e 100644
--- a/jnlp-files/newt-awt.jnlp
+++ b/jnlp-files/newt-awt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">NEWT - A NativeWindow Interface implementation - AWT</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/newt-jogl.jnlp b/jnlp-files/newt-jogl.jnlp
index 1ac69781a..bd8d8a675 100644
--- a/jnlp-files/newt-jogl.jnlp
+++ b/jnlp-files/newt-jogl.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">NEWT - A NativeWindow Interface implementation - JOGL</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/jnlp-files/newt.jnlp b/jnlp-files/newt.jnlp
index cb6899256..71eb9952d 100644
--- a/jnlp-files/newt.jnlp
+++ b/jnlp-files/newt.jnlp
@@ -9,6 +9,7 @@
     <description kind="short">NEWT - A NativeWindow Interface implementation - CORE</description>
     <offline-allowed/>
   </information>
+  <update check="background" policy="always"/>
   <security>
       <all-permissions/>
   </security>
diff --git a/make/scripts/all-deploy-webstarttest.sh b/make/scripts/all-deploy-webstarttest.sh
index 0904ac233..e3ee24a6d 100755
--- a/make/scripts/all-deploy-webstarttest.sh
+++ b/make/scripts/all-deploy-webstarttest.sh
@@ -17,8 +17,8 @@ shift
 if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
     echo Usage $0 codebase-url jogl-builddir webstartdir
     echo Examples
-    echo    sh scripts/all-deploy-webstarttest.sh file:////usr/local/projects/JOGL/webstart ../build-x86_64 ../../webstart
-    echo    sh scripts/all-deploy-webstarttest.sh http://domain.org/jogl/webstart ../build-win32 ../../webstart
+    echo    sh $0 file:////usr/local/projects/JOGL/webstart ../build-x86_64 ../../webstart
+    echo    sh $0 http://domain.org/jogl/webstart ../build-win32 ../../webstart
     exit 1
 fi
 
diff --git a/make/scripts/deploy-jnlp-webstarttest.sh b/make/scripts/deploy-jnlp-webstarttest.sh
index 26a0f8b35..8f3b0d216 100755
--- a/make/scripts/deploy-jnlp-webstarttest.sh
+++ b/make/scripts/deploy-jnlp-webstarttest.sh
@@ -11,6 +11,9 @@ shift
 
 if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
     echo usage $0 codebase-url jogl-builddir webstartdir
+    echo Examples
+    echo    sh $0 file:////usr/local/projects/JOGL/webstart ../build-x86_64 ../../webstart
+    echo    sh $0 http://domain.org/jogl/webstart ../build-win32 ../../webstart
     exit 1
 fi
 
-- 
cgit v1.2.3